Bug 52963 - Typo in AuthLDAPURL RFC 2255 error message
Summary: Typo in AuthLDAPURL RFC 2255 error message
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_authz_ldap (show other bugs)
Version: 2.2.23
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2012-03-21 17:14 UTC by Richard Lynch
Modified: 2017-06-25 12:44 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Lynch 2012-03-21 17:14:37 UTC
Possibly the silliest bug report mod_authz_ldap has ever gotten...

"AuthLDAPURL takes 1-2 arguments, URL to define LDAP connection. This should be an RFC 2255 complaint"

s/complaint/compliant/

And I sure wish it accepted the ?extension part from http://tools.ietf.org/html/rfc4516
Comment 1 Richard Lynch 2012-03-21 17:19:20 UTC
Ignore that bit about the extension.

I still had TLS at the end in ADDITION to ?1.3.6.1.4.1.1466.20037

My bad.

Still can't get around this:

[debug] mod_authnz_ldap.c(1099): LDAP: auth_ldap not using SSL connections

But that's my problem, not yours. :-)
Comment 2 Christophe JAILLET 2012-10-01 20:04:54 UTC
The typo you have reportes  in not part of trunk, and has been fixed on 2.4 6 years ago.

http://svn.apache.org/viewvc?view=revision&sortby=date&revision=413730


As of today, this is still present on 2.2


Knowing that, I set the version to latest 2.2 (2.2.23) in case a maintener want to fix it in this branch.
Comment 3 Eric Covener 2017-06-25 12:44:52 UTC
Fixed in 2.4 so marking fixed.